$ErrorActionPreference = 'Stop';

$packageName= 'invantive-query-tool'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.32.101.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.32.101.msi'
  softwareName = 'Invantive Query Tool'
  checksum = '1AA4EB6F646A19C2D7D49F27F635F05FEF40B4C6075F6557C1F9E55672D27419'
  checksumType = 'sha256'
  checksum64 = '1AA4EB6F646A19C2D7D49F27F635F05FEF40B4C6075F6557C1F9E55672D27419'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-query-tool-17.32.101-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
